from rest_framework.test import APIClient
from rest_framework.test import APITestCase

from apps.MySU.models import User
from tests.tests import fixtures


class AssociationSpecificDataTestCase(APITestCase):
    fixtures = fixtures

    def setUp(self):
        self.user = User.objects.get(username='s1234567')
        self.client = APIClient()
        self.client.force_authenticate(user=self.user)

    def test_put_helios(self):
        pass

    def test_put_student_union(self):
        pass

    def test_patch_helios(self):
        pass

    def test_patch_student_union(self):
        pass

    def test_post_helios(self):
        pass

    def test_post_student_union(self):
        pass

    def test_delete_helios(self):
        pass

    def test_delete_student_union(self):
        pass

    def test_get_helios(self):
        pass

    def test_get_student_union(self):
        pass

    def test_list(self):
        response = self.client.get('/association_data/?ordering=association')
        self.assertEqual(200, response.status_code, "Error: {}, Input: List of all specific data".format(response.data))
        self.assertEqual(response.data['count'], 5, msg="number of specific data doesn't match expected number of specific data")
        results = response.data['results']
        self.assertEqual('http://testserver/associations/rising-sun-alienship-helios', results[0]['association'], "Error: {}".format(response.data))
        self.assertEqual('http://testserver/associations/rising-sun-alienship-helios', results[1]['association'], "Error: {}".format(response.data))
        self.assertEqual('http://testserver/associations/student-union', results[2]['association'], "Error: {}".format(response.data))
        self.assertEqual('http://testserver/associations/student-union', results[3]['association'], "Error: {}".format(response.data))
        self.assertEqual('http://testserver/associations/student-union', results[4]['association'], "Error: {}".format(response.data))
